#include "ti-85.h"
#include "Peak1.h"

.org 0
MenuTitle:
.db     "Binary Input",0

        ROM_CALL(CLEARLCD)
        ld (CURSOR_ROW),DE
        ld B,8

KeyLoop:
        push DE
        call GET_KEY
        pop DE

        cp K_0
        jr Z,Zero

        cp K_1
        jr Z,One

        jr KeyLoop

One:
        sla E
        set 0,E
        ld A,'1'
        jr Rotate

Zero:
        sla E
        ld A,'0'

Rotate:

Done:
        push DE
        call ETR_CHARPUT
        pop DE

        djnz KeyLoop

Display:
        push DE
        ROM_CALL(CLEARLCD)
        ld (CURSOR_ROW),DE
        pop DE

        ld L,E
        ld H,0

        ROM_CALL(D_HL_DECI)

Pause:
        call GET_KEY
        or A
        jr Z,Pause
        ret

.end


